Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# paragui_msgmap.h File Reference

`#include "paragui.h"`
`#include "sdlmessageobject.h"`

Include dependency graph for paragui_msgmap.h:

Go to the source code of this file.

## Compounds
struct | PARAGUI_EVENTHANDLERDATA
## Typedefs
typedef struct PARAGUI_EVENTHANDLERDATA | PARAGUI_EVENTHANDLERDATA
| ParaGUI eventhandler data structure. More...
## Functions
PARAGUI_EVENTHANDLERDATA* | PARAGUI_FindEventHandler (MSG_TYPE type, SDLMessageObject* obj)
| Searches for a specific eventhandler. More...
bool | PARAGUI_RegisterEventHandler (MSG_TYPE type, SDLMessageObject* obj, MSG_CALLBACK cbfunc, void* data)
| Register a new eventhandler for an object. More...
bool | PARAGUI_UnregisterEventHandler (MSG_TYPE type, SDLMessageObject* obj)
| Unregister an objects eventhandler. More...
bool | PARAGUI_UnregisterEventObject (SDLMessageObject* obj)
| Unregister all eventhandlers of an object. More...

## Typedef Documentation

typedef struct PARAGUI_EVENTHANDLERDATA PARAGUI_EVENTHANDLERDATA

| ParaGUI eventhandler data structure.

## Function Documentation

PARAGUI_EVENTHANDLERDATA * PARAGUI_FindEventHandler ( | MSG_TYPE type,
| SDLMessageObject * obj )

  | Searches for a specific eventhandler. Parameters:
  type | the messagetype
  obj | the emiting SDLMessageObject

bool PARAGUI_RegisterEventHandler ( | MSG_TYPE type,
| SDLMessageObject * obj,
| MSG_CALLBACK cbfunc,
| void * data )

  | Register a new eventhandler for an object. Parameters:
  type | the messagetype
  obj | the messageobject
  cbfunc | the callback function to register
  data | optional userdata

bool PARAGUI_UnregisterEventHandler ( | MSG_TYPE type,
| SDLMessageObject * obj )

  | Unregister an objects eventhandler. Parameters:
  type | the messagetype to unregister
  obj | the messageobject

bool PARAGUI_UnregisterEventObject ( | SDLMessageObject * obj )

  | Unregister all eventhandlers of an object. Parameters:
  obj | the messageobject to unregister